# Gimp.Resource

    from gi.repository import Gimp

    resource = Gimp.Resource(id=value)

Functions to manipulate resources.

## Hierarchy

- GObject.Object
  - Gimp.Resource

## Methods

- Gimp.Resource.delete
- Gimp.Resource.duplicate
- Gimp.Resource.get_id
- Gimp.Resource.get_name
- Gimp.Resource.is_brush
- Gimp.Resource.is_editable
- Gimp.Resource.is_font
- Gimp.Resource.is_gradient
- Gimp.Resource.is_palette
- Gimp.Resource.is_pattern
- Gimp.Resource.is_valid
- Gimp.Resource.rename

## Static Functions

- Gimp.Resource.get_by_id
- Gimp.Resource.get_by_name
- Gimp.Resource.id_is_brush
- Gimp.Resource.id_is_font
- Gimp.Resource.id_is_gradient
- Gimp.Resource.id_is_palette
- Gimp.Resource.id_is_pattern
- Gimp.Resource.id_is_valid

## Properties

- id

## Fields

- Gimp.Resource->parent_instance